<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateOrderRefundTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('s1_order_refund', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('order_id');
            $table->integer('refund_type')->default(0);
            $table->integer('refund_price')->nullable();
            $table->string('refund_desc')->nullable()->comment('退货原因');
            $table->integer('refund_status')->default(0);
            $table->string('pic_list')->nullable()->comment('n个图片的json格式');
            $table->string('remark')->nullable()->comment('备注');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('s1_order_refund');
    }
}
